# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Select_Priority_Fixed			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Select_Priority_Fixed_LIBRARY		= 	-lSelect_Priority_Fixed	\
					$(Behavioural_LIBRARY)	

Select_Priority_Fixed_DIR_LIBRARY		=	-L$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed/lib	\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Select_Priority_Fixed_library		: 
				@\
				$(MAKE) Behavioural_library; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed --makefile=Makefile;
	
Select_Priority_Fixed_library_clean	: 
				@\
				$(MAKE) Behavioural_library_clean; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Generic/Select/Select_Priority_Fixed --makefile=Makefile clean;
